Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.ax.fw.runtime.outbound.impl
Interface IOBScriptPGPHandler

    public interface IOBScriptPGPHandler

IOBScriptPGPHandler interface exposes the methods to setup and conduct outbound PGP processing.

Method Summary
`boolean` | `packageMessage()` Packages the payload in the outbound FTP/FTPS/SSHFTP session with PGP processing
`boolean` | `setCompressionAlgo(java.lang.String algo)` Sets the algorithms of compression
`boolean` | `setFormat(java.lang.String format)` Sets the format of the resulting payload after PGP processing
`void` | `setPGPOptions(boolean sign, boolean enc, boolean comp)` Sets the PGP process options for signing, encryption and compression

Method Detail

### setPGPOptions

    void setPGPOptions(boolean sign,
                       boolean enc,
                       boolean comp)

  Sets the PGP process options for signing, encryption and compression

  Parameters:
    `sign` - true if signing is required, flase otherwise.
    `enc` - true if encryption is required, false otherwise.
    `comp` - true if compression is required, false otherwise.

### setFormat

    boolean setFormat(java.lang.String format)

  Sets the format of the resulting payload after PGP processing

  Parameters:
    `format` - "armored" to ask the format of ASCII Armored, or "binary" to ask binary format
  Returns:
    true if the format setting is successful, false otherwise

### setCompressionAlgo

    boolean setCompressionAlgo(java.lang.String algo)

  Sets the algorithms of compression

  Parameters:
    `algo` - "ZLIB" or "ZIB"; if not called, then no compression happens
  Returns:
    true if the compression algorithm setting is successful, false otherwise

### packageMessage

    boolean packageMessage()

  Packages the payload in the outbound FTP/FTPS/SSHFTP session with PGP processing

  Returns:
    true if the PGP packaging is successful, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD